import Request from '../common/request.js';
let request = new Request().http

// 获取服务单列表
export function getServiceOrderList(data) {
	return request('/app/serviceInfo/getServiceTicketList', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取服务单详情
export function getServiceOrderDetail(data) {
	return request('/app/serviceInfo/getServiceTask', data, 'POST', 'application/json;charset=UTF-8');
}

// 确认服务单
export function confirmServiceOrder(data) {
	return request('/app/serviceInfo/confirmServiceTicket', data, 'POST', 'application/json;charset=UTF-8');
}

// 获取服务单状态列表
export function getServiceOrderStatusList() {
	return request('/store/app/serviceOrder/getStatusList', null, 'GET');
}

// 申请服务单
export function applyServiceOrder(data) {
	return request('/store/app/serviceOrder/apply', data, 'POST', 'application/json;charset=UTF-8');
}

// 取消服务单
export function cancelServiceOrder(data) {
	return request('/store/app/serviceOrder/cancel', data, 'POST', 'application/json;charset=UTF-8');
}
